# LibrarySpec

@Incubating
interface LibrarySpec : GeneralComponentSpec

A specification of a org.gradle.platform.base.Library.

#### Inheritors

NativeLibrarySpec

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): ModelMap<BinarySpec>
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
getSources
Link copied to clipboard
abstract fun getSources(): ModelMap<LanguageSourceSet>
getVariants
Link copied to clipboard
abstract fun getVariants(): Iterable<out Binary>